#ifndef _GEOM_H_
#define _GEOM_H_

typedef struct {
	float X;
	float Y;
	float Z;
} Point;

typedef struct {
	float M;
	float K;
} Line;

typedef struct {
	Point C;
	float R;
} Circle;

int cirNcir2line( const Circle* c1, const Circle* c2, Line* l);

int lineNline2point( const Line* l1, const Line* l2, Point* p);

int lineNpoint2R2( const Line* l, const Point* p, float* r2);

int triangulate( const Circle* c1, const Circle* c2, const Circle* c3, Point* p);

#endif
